﻿using HAServer.Devices;
using Newtonsoft.Json;

namespace HAServer.Core
{
	public class DeviceCondition : Condition
	{
		private readonly BaseDevice _device;

		public DeviceCondition(Comparator comparator, string topic, BaseDevice device) : base(comparator, topic)
		{
			_device = device;
		}

		[JsonIgnore]
		public override string Value => _device.Value;
		public string Device => _device.Topic;
	}
}