﻿using System;

namespace HAServer.Core {
	public class TriggerAction {
		private readonly Action _action;

		public TriggerAction(TriggerActionType type, string identifier, Action action) {
			Type = type;
			Identifier = identifier;
			_action = action;
		}

		public void Execute() {
			_action();
		}

		public TriggerActionType Type { get; }
		public string Identifier { get; }
		public string Method => _action.Method.Name;
	}
}