﻿using System.Diagnostics.CodeAnalysis;
using HAServer.Core;

namespace HAServer.WebServer.DTO {
	[ExcludeFromCodeCoverage]
	public class ConditionDto {
		public ConditionDto(Condition condition) {
			Topic = condition.Topic;
			Value = condition.Value;
			Comparator = condition.Comparator;
		}

		public string Topic { get; }
		public string Value { get; }
		public Comparator Comparator { get; }
	}
}
