﻿app.controller("main", ["$scope", "deviceService", function ($scope, deviceService) {
	$scope.setTitle("Home Automation");
	$scope.groups = deviceService.groups;
	$scope.devices = deviceService.devices;

	$scope.groupHasSwitches = function (groupName) {
		var hasSwitch = false;
		angular.forEach(deviceService.groups[groupName], function (topic) {
			if (hasSwitch)
				return;

			hasSwitch = deviceService.devices[topic].Type === "Switch";
		});
		return hasSwitch;
	};

	$scope.turnOnGroup = function (groupName) {
		deviceService.TurnOnGroup(groupName);
	};

	$scope.turnOffGroup = function (groupName) {
		deviceService.TurnOffGroup(groupName);
	};
}]);
