import React from 'react';
import './loading.scss'

export default class Loading extends React.Component {
	constructor(props) {
		super(props);

		this.state = {
			show: props.show || false
		};
	}

	render() {
		return this.state.show && (
			<div className={`overlay cardGroup ${this.state.show ? "show" : ""}`}>
				<div className="loadingIcon" ng-show="showLoader">
					<div></div>
					<div></div>
				</div>
			</div>
		);
	}
}