import React from 'react';
import './socketError.scss'

export default class SocketError extends React.Component {
	constructor(props) {
		super(props);

		this.state = {
			show: props.show || false
		};
	}

	render() {
		return this.state.show && (
			<div className={`overlay cardGroup ${this.state.show ? "show" : ""}`}>
				<div id="socketError" className="card">
					<h2 className="warning fullWidth">There was a problem</h2>
					<p>It looks like the connection to the server has been lost. If a reconnection is not made soon please refresh the page.</p>
				</div>
			</div>
		);
	}
}