# Home Automation Server
[![Build Status](https://build.robware.uk/api/badges/rob/HomeAutomationServer/status.svg)](https://build.robware.uk/rob/HomeAutomationServer)

![Image](https://robware.uk/image_uploads/83_screen-shot-2017-09-30-at-10.41.59.png)

This is a service written in C# to provide a platform for event based home automation. While it is in the early stages, it is functional and is written for .NET Core.

There is a core system which drives the event management, hosts the web UI, and loads in components (plugins).
The component system is a way of adding things that will listen to events and perform actions on them.

Currently there are 3 included components:
- Core components which drive time based events
- MQTT component which deals with communitation with other MQTT clients
- InfluxDB component which records the values from the events to an InfluxDB instance.

[A blog post about this project]([](hthttps://robware.uk/blog/view/the-home-automation-sagatp://))