﻿using HAServer.Interfaces.Core;

namespace HAServer.Components {
	public static class SettingsProviderSolarEventExtensions {
		public static double Latitude(this ISettingsProvider provider) {
			if (!provider.SettingExists("latitude")) {
				provider.SetValue("latitude", 0);
				provider.Save();
			}
			return double.Parse(provider.GetValue("latitude"));
		}

		public static double Longitude(this ISettingsProvider provider) {
			if (!provider.SettingExists("longitude")) {
				provider.SetValue("longitude", 0);
				provider.Save();
			}
			return double.Parse(provider.GetValue("longitude"));
		}
	}
}
