using System.Threading;
using System.Threading.Tasks;
using Microsoft.Extensions.Hosting;

namespace HAServer.Daemon
{
	public class DaemonService : IHostedService
	{
		public async Task StartAsync(CancellationToken cancellationToken) => await Task.Run(() => HAServer.Program.Start(), cancellationToken);

		public async Task StopAsync(CancellationToken cancellationToken) => await Task.Run(() => HAServer.Program.Stop(), cancellationToken);
	}
}