﻿using System;
using System.Threading.Tasks;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

namespace HAServer.Daemon
{
	public class Program
	{
		public static async Task Main(string[] args) =>
			await new HostBuilder()
				.ConfigureServices(ConfigureServices)
				.RunConsoleAsync();

		private static void ConfigureServices(HostBuilderContext context, IServiceCollection services) => services.AddSingleton<IHostedService, DaemonService>();
	}
}
