﻿using HAServer.Interfaces.Core;

namespace HAServer.MQTT {
	public static class SettingsProviderMQTTExtensions {
		public static string MqttHost(this ISettingsProvider provider) {
			return provider.GetValue("mqttHost");
		}

		public static byte MqttQos(this ISettingsProvider provider) {
			return byte.Parse(provider.GetValue("mqttQoS"));
		}

		public static bool MqttRetain(this ISettingsProvider provider) {
			return bool.Parse(provider.GetValue("mqttRetain"));
		}

		public static string MqttBaseTopic(this ISettingsProvider provider) {
			return provider.GetValue("mqttBaseTopic");
		}
	}
}
