﻿using HAServer.Devices;
using HAServer.Interfaces.Core;

namespace HAServer.Tests.Stubs {
	public class DeviceStub : BaseDevice {
		public DeviceStub(IMessageBus messageBus, string topic, string name) : base(messageBus, topic, name) { }

		public new string Type => "Sensor";

		public new string Value
		{
			get { return base.Value; }
			set { base.Value = value; }
		}

		public string Unit => "";

		public void Method() { }
	}
}
