﻿using System;
using HAServer.Core;
using Newtonsoft.Json;

namespace HAServer.Serialisation {
	public class DeviceGroupCollectionJsonConverter: JsonConverter<DeviceGroupCollection> {
		protected override void WriteJson(JsonWriter writer, DeviceGroupCollection collection, JsonSerializer serializer) {
			writer.WriteStartObject();
			foreach (var group in collection) {
				serializer.Serialize(writer, group);
			}
			writer.WriteEndObject();
		}

		public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer) {
			throw new NotImplementedException();
		}

		public override bool CanRead => false;
	}
}