﻿using System.Diagnostics.CodeAnalysis;
using HAServer.Core;

namespace HAServer.WebServer.DTO {
	[ExcludeFromCodeCoverage]
	public class SettingsDto : ISettingsData {
		public SettingsDto(IApplicationSettingsProvider settingsProvider) {
			WebUiPath = settingsProvider.WebUiPath;
			WebUiPort = settingsProvider.WebUiPort;
		}

		public SettingsDto() {
			
		}
		
		public int WebUiPort { get; set; }
		public string WebUiPath { get; set; }
	}
}