﻿using System.Diagnostics.CodeAnalysis;

namespace HAServer.WebServer {
	[ExcludeFromCodeCoverage]
	public class RemoteProcedureCall {
		public string Method { get; }
		public object[] Parameters { get; }

		public RemoteProcedureCall(string method, params object[] parameters) {
			Method = method;
			Parameters = parameters;
		}
	}
}
