﻿app.controller("settings", ["$scope", "settingsService", function ($scope, settingsService) {
	$scope.setTitle("Settings");
	$scope.settings = {};

	function copySettings() {
		for (var member in settingsService.settings)
			if (settingsService.settings.hasOwnProperty(member))
				$scope.settings[member] = settingsService.settings[member];
	}

	$scope.saveSettings = function() {
		settingsService.SaveSettings($scope.settings);
	};

	setTimeout(function() {
		copySettings();
		$scope.$apply();
	}, 1000);
}]);
