﻿var images = [];

function preload() {
	for (var i = 0; i < preload.arguments.length; i++) {
		images[i] = new Image();
		images[i].src = preload.arguments[i];
	}
}

preload("/images/warning.svg");


var app = angular.module("WebUI", ["ngAnimate", "ngRoute"]);

app.config(["$routeProvider", function ($routeProvider) {
	var pages = [
		"devices",
		"triggers",
		"settings"
	];

	angular.forEach(pages, function (page) {
		$routeProvider.when("/" + page, {
			templateUrl: "/views/" + page + ".html",
			controller: page
		});
	});

	$routeProvider.otherwise({
		templateUrl: "/views/main.html",
		controller: "main"
	});
}]);