﻿app.service("settingsService", ["webApiService", function (webApiService) {
	var self = this;
	self.settings = {
		MqttServer: "",
		MqttQos: 0,
		MqttRetain: false,
		MqttBaseTopic: ""
	};

	webApiService.registerCallbackService(self);

	self.UpdateSettings = function (settings) {
		self.settings = settings;
	};

	self.SaveSettings = function (settings) {
		webApiService.SaveSettings(settings);
	};
}]);