import React from 'react';
import './toggleSwitch.scss'

export default class ToggleSwitch extends React.Component {
	constructor(props) {
		super(props);

		this.state = {
			on: props.on
		};
	}

	toggle() {
		this.setState({on: !this.state.on});
	}

	render() {
		return (
			<div className="toggle-switch" onClick={this.toggle.bind(this)}>
				<div className={`toggle-switch__button ${this.state.on ? "on" : ""}`}></div>
			</div>
		)
	}
}