import React from 'react';
import { Switch, Route } from "react-router-dom";
import Home from "./Pages/home";
import Devices from "./Pages/devices";
import Triggers from "./Pages/triggers";
import Settings from "./Pages/settings";

export default class Routing extends React.Component {
    render() {
        return (
            <Switch>
                <Route exact path="/" render={()=><Home {...this.props} />} />
                <Route path="/devices" render={() => <Devices {...this.props} />} />
                <Route path="/triggers" component={Triggers} />
                <Route path="/settings" component={Settings} />
            </Switch>
        );
    }
}